Subject: bug#52293: [External] : bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Juri Linkov <[email-masked]>
Date: Tue, 14 Dec 2021 22:51:29 +0200

> I said only that someone (for whatever reasons) might
> want to provide or allow consecutive separators, and
> that that should be possible.  That's all.  And I
> said that programmers can anyway make separators,
> like other menu items, conditional (e.g. invisible).

I was referring to your following words:

  Why should we even provide such removal?  If
  someone doesn't want it they won't code it.
  That's all.

But the problem is that it's not easy not to add separators that
become duplicated when no menu items are added to submenus.

> I've elsewhere expressed my displeasure in seeing
> context menus implemented in the way Emacs is doing
> that, but that was ignored.  (I use my own approach
> to providing mouse-3 context menus, which allows the
> standard, longstanding Emacs mouse-3 behavior at the
> same time.)

Interesting.  Could you please describe your approach.